<?php
/**
 * Custom template tags and hooks
 *
 * @since 1.0.0
 */

add_action( 'ignition_after_single_entry', 'ignition_eclecticon_the_portfolio_navigation', 5 );

/**
 * Displays the post navigation (previous/next) template.
 *
 * @since 1.0.0
 */
function ignition_eclecticon_the_portfolio_navigation() {
	if ( is_singular( 'ignition-portfolio' ) ) {
		ignition_get_template_part( 'template-parts/navigation', get_post_type() );
	}
}
